Name: 		grub
Version: 	0.93
Release: 	1
Summary: 	GRUB - the Grand Unified Boot Loader.
Group: 		System Environment/Base
Packager: 	linuxkid <linux@peanutlinux.org>
License: 	GPL
Source0: 	ftp://alpha.gnu.org/gnu/grub/%{name}-%{version}.tar.gz
Source1: 	menu.lst
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
GRUB (Grand Unified Boot Loader) is an experimental boot loader
capable of booting into most free operating systems - Linux, FreeBSD,
NetBSD, GNU Mach, and others as well as most commercial operating
systems.  All configuration is done at bios level, meaning, if you make
mistake and add the wrong partition(s), it dont matter, you can fix it
when you reboot.  To be honest, it's pretty hard to grasp, so i still
recommend LILO is it works or any other bootloader of choice.

To install GRUB, type at the command prompt or xterminal:
grub-install /dev/hda    <dont use  '/dev/sda' for SCSI h/w>

To get to know how grub structures itself, here's a few clues on how
it differs from LILO, this should help you get the idea:
____________________________________________________________

hd0=/dev/hda 	(Entire hard disk device number 1)
hd0,0=/dev/hda1 (Hardisk number 1 - partition number 1)
hd0,3=/dev/hda4 (Hardisk number 1 - partition number 4)

hd1,1=/dev/hdb2 (Hardisk number 2 - partition number 2)
____________________________________________________________

If you dont know the partition you can issue a find /boot/grub/stage1
on the GRUB Console.  Now you tell GRUB where it is installed,  type:

root (hd0,2)

And to install to the MBR of the Master Boot "Record",  type:

setup (hd0)

%prep
%setup -q

%build
%configure --sbindir=/sbin --disable-auto-linux-mem-opt --enable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall sbindir=$RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/boot/grub
rm -rf $RPM_BUILD_ROOT/usr/info
cp %{SOURCE1} $RPM_BUILD_ROOT/boot/grub

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
